Subject: [Lsr] FW: New Version Notification for draft-ginsberg-lsr-isis-invalid-tlv-00.txt

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 19 Oct 2018 19:22:08 +0000

Folks -

This new draft discusses IS-IS protocol behaviors related to handling TLVs that are either:

  o Not recognized/supported by an implementation
  o Present in a PDU where they are disallowed
  o The TLV encoding is invalid in some ways

Inconsistent handling of these cases has been known to cause interoperability issues.

Comments are most welcome.

   Les

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Friday, October 19, 2018 11:46 AM
To: Paul Wells (pauwells) <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>
Subject: New Version Notification for draft-ginsberg-lsr-isis-invalid-tlv-00.txt

A new version of I-D, draft-ginsberg-lsr-isis-invalid-tlv-00.txt
has been successfully submitted by Les Ginsberg and posted to the IETF repository.

Name:		draft-ginsberg-lsr-isis-invalid-tlv
Revision:	00
Title:		Invalid TLV Handling in IS-IS
Document date:	2018-10-19
Group:		Individual Submission
Pages:		7
URL:            https://www.ietf.org/internet-drafts/draft-ginsberg-lsr-isis-invalid-tlv-00.txt
Status:         https://datatracker.ietf.org/doc/draft-ginsberg-lsr-isis-invalid-tlv/
Htmlized:       https://tools.ietf.org/html/draft-ginsberg-lsr-isis-invalid-tlv-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ginsberg-lsr-isis-invalid-tlv

Abstract:
   Key to the extensibility of the Intermediate System to Intermediate
   System (IS-IS) protocol has been the handling of unsupported and/or
   invalid Type/Length/Value (TLV) tuples.  Although there are explicit
   statements in existing specifications, in some cases the expected
   behavior is "well known" but not explicitly stated.

   This document discusses the "well known behaviors" and makes them
   explicit in order to insure that interoperability is maximized.

   This document when approved updates RFC3563, RFC5305, and RFC6233.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 19 Oct 2018 12:43:24 -0700

Great stuff, long time due!

Cheers,
Jeff
On Oct 19, 2018, 12:23 PM -0700, Les Ginsberg (ginsberg) <[email-masked]>, wrote:
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr